> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vlenseg.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vlenseg.com/_mcp/server.

# Api Businessrequest Current Get

GET https://api.vlenseg.com/api/BusinessRequest/Current

Reference: https://docs.vlenseg.com/api-reference/vlens-api/business-requests/get-business-request-current

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: example-openapi
  version: 1.0.0
paths:
  /api/BusinessRequest/Current:
    get:
      operationId: get-business-request-current
      summary: Api Businessrequest Current Get
      tags:
        - businessRequests
      parameters:
        - name: ApiKey
          in: header
          description: Static API key issued to your tenant. Required on every request.
          required: true
          schema:
            type: string
        - name: Accept-Language
          in: header
          description: ''
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Business
                  Requests_getBusinessRequestCurrent_Response_200
servers:
  - url: https://api.vlenseg.com
    description: Production
components:
  schemas:
    ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataRequestFieldsItemsAvailableValuesItemsItems:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      title: >-
        ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataRequestFieldsItemsAvailableValuesItemsItems
    ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataRequestFieldsItems:
      type: object
      properties:
        order:
          type: string
        key:
          type: string
        value:
          type: string
        tabularData:
          type: array
          items:
            type: array
            items:
              type: string
        type:
          type: string
        visibleToUser:
          type: string
        defaultValue:
          type: string
        availableValues:
          type: array
          items:
            type: string
        firstRowHeader:
          type: string
        convertNumbersToArabic:
          type: string
        availableValuesItems:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataRequestFieldsItemsAvailableValuesItemsItems
      required:
        - order
        - key
        - value
        - tabularData
        - type
        - visibleToUser
        - defaultValue
        - availableValues
        - firstRowHeader
        - convertNumbersToArabic
        - availableValuesItems
      title: >-
        ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataRequestFieldsItems
    ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataDocumentsItems:
      type: object
      properties:
        content:
          type: string
        signature:
          type: string
        isHtml:
          type: string
      required:
        - content
        - signature
        - isHtml
      title: >-
        ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataDocumentsItems
    ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataUser:
      type: object
      properties:
        name:
          type: string
        surname:
          type: string
        fullName:
          type: string
        userName:
          type: string
        emailAddress:
          type: string
        phoneNumber:
          type: string
        idNumber:
          type: string
      required:
        - name
        - surname
        - fullName
        - userName
        - emailAddress
        - phoneNumber
        - idNumber
      title: >-
        ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataUser
    ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        idNumber:
          type: string
        requestNumber:
          type: string
        fullName:
          type: string
        requeststatus:
          type: integer
        requestStatusName:
          type: string
        requestFields:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataRequestFieldsItems
        documents:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataDocumentsItems
        user:
          $ref: >-
            #/components/schemas/ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaDataUser
        contractDocument:
          type: string
        amount:
          type: string
        periodValue:
          type: string
        periodUnit:
          type: string
        installmentValue:
          type: string
        installmentValueNumber:
          type: string
        totalAmount:
          type: string
        totalAmountNumber:
          type: string
        installmentsNo:
          type: string
        firstInstallmentDate:
          type: string
        creatorUserFullName:
          type: string
        lastModificationTime:
          type: string
        lastModifierUserId:
          type: string
        creationTime:
          type: string
        creatorUserId:
          type: string
        id:
          type: string
      required:
        - idNumber
        - requestNumber
        - fullName
        - requeststatus
        - requestStatusName
        - requestFields
        - documents
        - user
        - contractDocument
        - amount
        - periodValue
        - periodUnit
        - installmentValue
        - installmentValueNumber
        - totalAmount
        - totalAmountNumber
        - installmentsNo
        - firstInstallmentDate
        - creatorUserFullName
        - lastModificationTime
        - lastModifierUserId
        - creationTime
        - creatorUserId
        - id
      title: ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaData
    Business Requests_getBusinessRequestCurrent_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ApiBusinessRequestCurrentGetResponsesContentApplicationJsonSchemaData
        error_code:
          type: string
        error_message:
          type: string
      required:
        - data
        - error_code
        - error_message
      title: Business Requests_getBusinessRequestCurrent_Response_200
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: ApiKey
      description: Static API key issued to your tenant. Required on every request.
    UserToken:
      type: http
      scheme: bearer
      description: >-
        End-user JWT from registration or login. Required for verification,
        signing, and user-scoped operations.

```

## Examples



**Response**

```json
{
  "data": {
    "idNumber": "<string>",
    "requestNumber": "<string>",
    "fullName": "<string>",
    "requeststatus": 4,
    "requestStatusName": "<string>",
    "requestFields": [
      {
        "order": "<integer>",
        "key": "<string>",
        "value": "<string>",
        "tabularData": [
          [
            "<string>",
            "<string>"
          ],
          [
            "<string>",
            "<string>"
          ]
        ],
        "type": "<string>",
        "visibleToUser": "<boolean>",
        "defaultValue": "<string>",
        "availableValues": [
          "<string>",
          "<string>"
        ],
        "firstRowHeader": "<boolean>",
        "convertNumbersToArabic": "<boolean>",
        "availableValuesItems": [
          {
            "id": "<integer>",
            "name": "<string>"
          },
          {
            "id": "<integer>",
            "name": "<string>"
          }
        ]
      },
      {
        "order": "<integer>",
        "key": "<string>",
        "value": "<string>",
        "tabularData": [
          [
            "<string>",
            "<string>"
          ],
          [
            "<string>",
            "<string>"
          ]
        ],
        "type": "<string>",
        "visibleToUser": "<boolean>",
        "defaultValue": "<string>",
        "availableValues": [
          "<string>",
          "<string>"
        ],
        "firstRowHeader": "<boolean>",
        "convertNumbersToArabic": "<boolean>",
        "availableValuesItems": [
          {
            "id": "<integer>",
            "name": "<string>"
          },
          {
            "id": "<integer>",
            "name": "<string>"
          }
        ]
      }
    ],
    "documents": [
      {
        "content": "<string>",
        "signature": "<string>",
        "isHtml": "<boolean>"
      },
      {
        "content": "<string>",
        "signature": "<string>",
        "isHtml": "<boolean>"
      }
    ],
    "user": {
      "name": "<string>",
      "surname": "<string>",
      "fullName": "<string>",
      "userName": "<string>",
      "emailAddress": "<string>",
      "phoneNumber": "<string>",
      "idNumber": "<string>"
    },
    "contractDocument": "<string>",
    "amount": "<string>",
    "periodValue": "<string>",
    "periodUnit": "<string>",
    "installmentValue": "<string>",
    "installmentValueNumber": "<string>",
    "totalAmount": "<string>",
    "totalAmountNumber": "<string>",
    "installmentsNo": "<string>",
    "firstInstallmentDate": "<string>",
    "creatorUserFullName": "<string>",
    "lastModificationTime": "<dateTime>",
    "lastModifierUserId": "<long>",
    "creationTime": "<dateTime>",
    "creatorUserId": "<long>",
    "id": "<uuid>"
  },
  "error_code": "<integer>",
  "error_message": "<string>"
}
```

**SDK Code**

```python Business Requests_getBusinessRequestCurrent_example
import requests

url = "https://api.vlenseg.com/api/BusinessRequest/Current"

headers = {
    "Accept-Language": "",
    "ApiKey": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Business Requests_getBusinessRequestCurrent_example
const url = 'https://api.vlenseg.com/api/BusinessRequest/Current';
const options = {method: 'GET', headers: {'Accept-Language': '', ApiKey: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Business Requests_getBusinessRequestCurrent_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vlenseg.com/api/BusinessRequest/Current"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept-Language", "")
	req.Header.Add("ApiKey", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Business Requests_getBusinessRequestCurrent_example
require 'uri'
require 'net/http'

url = URI("https://api.vlenseg.com/api/BusinessRequest/Current")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept-Language"] = ''
request["ApiKey"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Business Requests_getBusinessRequestCurrent_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vlenseg.com/api/BusinessRequest/Current")
  .header("Accept-Language", "")
  .header("ApiKey", "<apiKey>")
  .asString();
```

```php Business Requests_getBusinessRequestCurrent_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vlenseg.com/api/BusinessRequest/Current', [
  'headers' => [
    'Accept-Language' => '',
    'ApiKey' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Business Requests_getBusinessRequestCurrent_example
using RestSharp;

var client = new RestClient("https://api.vlenseg.com/api/BusinessRequest/Current");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept-Language", "");
request.AddHeader("ApiKey", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Business Requests_getBusinessRequestCurrent_example
import Foundation

let headers = [
  "Accept-Language": "",
  "ApiKey": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vlenseg.com/api/BusinessRequest/Current")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```